寒秋论
首发于寒秋论

Node10.15.0使用Root用户安装Node Install

最近在使用node install安装项目依赖时发现了这个问题,当执行用户是root的时候就会遇到这类问题,提示gyp WARN EACCES user "root" does not have permission to access the dev dir "/root/.node-gyp/10.15.0",这个问题可参考issue
具体的原因是因为避免以root 的身份去执行lifecycle 命令时可能造成的安全问题,要避开该问题,只要覆盖default中的初始值即可,比如用cli参数或者npm config set unsafe-perm=true
如果站在项目角度避开该问题,可以采取的措施是在项目中创建.npmrc来覆盖default的配置:

// .npmrc
unsafe-perm = true

但可能需要明确带来的风险。

发布于 2019-01-08

文章被以下专栏收录